# Uses of Class
org.eclipse.jdt.core.dom.Javadoc

Packages that use Javadoc
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of Javadoc in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return Javadoc
Modifier and Type
Method
Description
`Javadoc`
BodyDeclaration.`getJavadoc()`
Returns the doc comment node.
`Javadoc`
ModuleDeclaration.`getJavadoc()`
Returns the doc comment node.
`Javadoc`
PackageDeclaration.`getJavadoc()`
Returns the doc comment node (added in JLS3 API).
`Javadoc`
AST.`newJavadoc()`
Creates and returns a new doc comment node.
Methods in org.eclipse.jdt.core.dom with parameters of type Javadoc
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(Javadoc node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(Javadoc node, Object other)`
Returns whether the given node and the other object match.
`void`
BodyDeclaration.`setJavadoc(Javadoc docComment)`
Sets or clears the doc comment node.
`void`
ModuleDeclaration.`setJavadoc(Javadoc docComment)`
Sets or clears the doc comment node.
`void`
PackageDeclaration.`setJavadoc(Javadoc docComment)`
Sets or clears the doc comment node (added in JLS3 API).
`boolean`
ASTVisitor.`visit(Javadoc node)`
Visits the given AST node.